# Get plan features

Retrieve a paginated list of plan features, with the abillity to search and order (by date (`createdAt`) or expiration date (`expirationDate`)).

Endpoint: GET /resources/plans/v1/{id}/features
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `id` (string, required)

## Query parameters:

  - `offset` (number)
    Page offset of the results to return

  - `limit` (number)
    Number of results per page

  - `filter` (string)
    Search input; Searchable fields: `name`

  - `orderBy` (string)
    Order fields by date created (`createdAt`) or expired (`expirationDate`)

  - `sortType` (string)
    Sort fields by an ascending (`ASC`) or a decending (`DESC`) order

  - `featureIds` (array)
    Comma separated feature IDs that can be used to filter the results

  - `permissionKeys` (array)
    Comma separated permission keys that can be used to filter the results

  - `hasFeatureFlag` (boolean)
    Filter out features that are linked/not linked to feature-flag

  - `featureKeys` (array)
    Comma separated feature Keys that can be used to filter the results

## Response 200 fields (application/json):

  - `items` (array)

  - `items.id` (string, required)
    UUID string representing the feature ID
    Example: e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3

  - `items.name` (string, required)
    String representing the feature name
    Example: Test Feature

  - `items.key` (string, required)
    String representing the feature key
    Example: test-feature

  - `items.permissions` (array, required)
    Array of permissions linked to a feature
    Example: ["permission.read","permission.write"]

  - `hasNext` (boolean)

